#
# Copyright (C) 1998-2011 OSS Nokalva, Inc.  All rights reserved.
#

#
# Illustrate the ASN.1-compile, C-compile, link and execute process
# for the "Generic Abstract Syntax" (csample.ASN).

ASN1_PLAT=linux-glibc2.3-x86
ASN1_PROD=ossasn1
ASN1_VER=9.0.0

#OSS_ASN1_C_DIR = $(OSSINFO)/$(ASN1_PROD)/$(ASN1_PLAT)/$(ASN1_VER)
OSS_ASN1_C_DIR = /home/thorpe/$(ASN1_PROD)/$(ASN1_PLAT)/$(ASN1_VER)
ASN1        = $(OSS_ASN1_C_DIR)/bin/asn1
ASN1FLAG = -ber -der -per -uper -root -test -h mts.h -soed mts.c -extern mts -noSampleCode
OSS_LIB     = $(OSS_ASN1_C_DIR)/lib
OSS_INCLUDE = $(OSS_ASN1_C_DIR)/include
CC          = gcc
LINK        = gcc
CFLAGS      = -I. -I$(OSS_INCLUDE)
MORE        = more 

.SUFFIXES: .o .c
.c.o:
	$(CC) -c $(CFLAGS) $<

derset.txt: derset
	./derset > derset.txt
	more derset.txt

# Link the C-compiled output of the ASN.1 compiler with a simple
# demonstration application program and the appropriate runtime library.

derset: mts.o
	$(LINK) -o derset mts.o $(OSS_LIB)/libasn1code.a

# C-compile the output of the ASN.1 compiler

mts.o: mts.c

# ASN.1-compile the ASN.1 specification file

mts.c: mts-90kb.asn
	$(ASN1) mts-90kb.asn $(ASN1FLAG)

# Cleanup

clean:
	rm mts.c mts.h mts.o  derset derset.txt
